javax.media.j3d

## Class Interpolator

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.Node
    - - javax.media.j3d.Leaf
      - - javax.media.j3d.Behavior
        - - javax.media.j3d.Interpolator

- Direct Known Subclasses:
    ColorInterpolator, SwitchValueInterpolator, TransformInterpolator, TransparencyInterpolator

      public abstract class Interpolator
      extends Behavior

  Interpolator is an abstract class that extends Behavior to provide common methods used by various interpolation subclasses. These include methods to convert a time value into an alpha value (A value in the range 0 to 1) and a method to initialize the behavior. Subclasses provide the methods that convert alpha values into values within that subclass' output range.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WakeupCriterion` | `defaultWakeupCriterion` Default WakeupCondition for all interpolators.

    - ### Fields inherited from class javax.media.j3d.Node

      `ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Interpolator()` Constructs an Interpolator node with a null alpha value.
    `Interpolator(Alpha alpha)` Constructs an Interpolator node with the specified alpha value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Alpha` | `getAlpha()` Retrieves this interpolator's alpha object.
    `void` | `initialize()` This is the default Interpolator behavior initialization routine.
    `void` | `setAlpha(Alpha alpha)` Set this interpolator's alpha to the specified alpha object.

    - ### Methods inherited from class javax.media.j3d.Behavior

      `getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, processStimulus, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, updateNodeReferences, wakeupOn`

    - ### Methods inherited from class javax.media.j3d.Node

      `cloneNode, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

    - ### Methods inherited from class javax.media.j3d.SceneGraphObject

      `clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### defaultWakeupCriterion

          protected WakeupCriterion defaultWakeupCriterion

      Default WakeupCondition for all interpolators. The wakeupOn method of Behavior, which takes a WakeupCondition as the method parameter, will need to be called at the end of the processStimulus method of any class that subclasses Interpolator; this can be done with the following method call: wakeupOn(defaultWakeupCriterion).

  - ### Constructor Detail

    - #### Interpolator

          public Interpolator()

      Constructs an Interpolator node with a null alpha value.

    - #### Interpolator

          public Interpolator(Alpha alpha)

      Constructs an Interpolator node with the specified alpha value.
      Parameters:
        `alpha` - the alpha object used by this interpolator. If it is null, then this interpolator will not run.

  - ### Method Detail

    - #### getAlpha

          public Alpha getAlpha()

      Retrieves this interpolator's alpha object.
      Returns:
        this interpolator's alpha object

    - #### setAlpha

          public void setAlpha(Alpha alpha)

      Set this interpolator's alpha to the specified alpha object.
      Parameters:
        `alpha` - the new alpha object. If set to null, then this interpolator will stop running.

    - #### initialize

          public void initialize()

      This is the default Interpolator behavior initialization routine. It schedules the behavior to awaken at the next frame.
      Specified by:
        `initialize` in class `Behavior`

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.